﻿using EDPlayerJournal.BGS;
using EDPlayerJournal.Entries;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace EDPlayerJournalTests;

[TestClass]
public class ThargoidKills {
    [TestMethod]
    public void ThargoidBonks() {
        TransactionParser parser = new();

        List<Entry>? entries = Helper.LoadTestData("ThargoidKills.txt");
        Assert.IsNotNull(entries, "could not load test data");

        if (entries == null) {
            return;
        }

        List<Transaction>? transactions = parser.Parse(entries);

        Assert.IsNotNull(transactions, "could not parse entries");
        Assert.AreEqual(transactions.Count, 4);

        Assert.IsInstanceOfType(transactions[0], typeof(ThargoidKill), "result is not of type ThargoidKill");
        Assert.IsInstanceOfType(transactions[1], typeof(ThargoidKill), "result is not of type ThargoidKill");
        Assert.IsInstanceOfType(transactions[2], typeof(ThargoidKill), "result is not of type ThargoidKill");
    }
}
